Subject: Re: 2 PCI devices behind PCI bridge on Yosemite board.

From: Scott Wood <[email-masked]>
Date: Thu, 30 Nov 2006 14:26:28 -0600

Leonid wrote:
> On Dreamchip board itself I couldn't find how to mask the interrupt, but
> I'll search more. Can you recommend example for "real" IRQ handler for
> Dreamchip? I just don't what the system crash.

The IRQ handler must clear whatever event triggered the interrupt.

> BTW, what will happen if
> Dreamchip and Silicon Image will assert interrupt simultaneously?

Nothing special.  Both handlers run every time either device interrupts; 
if they both have events pending, then both handlers handle them.

-Scott